Qt 5.11 | Qt 3D | C++ Classes | QNodeDestroyedChange

Qt 5.11.3 Reference Documentation

# QNodeDestroyedChange Class

(Qt3DCore::QNodeDestroyedChange)

Used to notify when a node is destroyed. More...

Header: | #include <Qt3DCore/QNodeDestroyedChange>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QSceneChange

- List of all members, including inherited members

## Public Functions

| QNodeDestroyedChange(const Qt3DCore::QNode *node, const QVector<Qt3DCore::QNodeIdTypePair> &subtreeIdsAndTypes)
virtual | ~QNodeDestroyedChange()
QVector<Qt3DCore::QNodeIdTypePair> | subtreeIdsAndTypes() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QNodeDestroyedChangePtr

## Detailed Description

Used to notify when a node is destroyed.

## Member Function Documentation

### QNodeDestroyedChange::QNodeDestroyedChange(const Qt3DCore::QNode *node, const QVector<Qt3DCore::QNodeIdTypePair> &subtreeIdsAndTypes)

Constructs a new QNodeDestroyedChange with node and its subtreeIdsAndTypes.

### `[virtual]` QNodeDestroyedChange::~QNodeDestroyedChange()

Destroys the instance of QNodeDestroyedChange. The destructor is virtual.

### QVector<Qt3DCore::QNodeIdTypePair> QNodeDestroyedChange::subtreeIdsAndTypes() const

Returns a vector of subtree node id type pairs

## Related Non-Members

### typedef Qt3DCore::QNodeDestroyedChangePtr

A shared pointer for QNodeDestroyedChange.